Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236384 - CVE-2006-4600 openldap improper selfwrite access
Summary: CVE-2006-4600 openldap improper selfwrite access
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openldap
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard: reported=20060906,source=cve,impact=l...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 15:17 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-05 20:39:43 UTC


Attachments (Terms of Use)

Description Josh Bressers 2007-04-13 15:17:33 UTC
+++ This bug was initially created as a clone of Bug #205826 +++

openldap improper selfwrite access

The way openldap handles selfwrite access is broken.  Users with
selfwrite access should only be able to add/remove their own DN to the
target, but via this bug any DN may be modified.

This was fixed upstream in version 2.3.25
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=4587
http://secunia.com/advisories/21721/

A reproducer can be found here:
http://www.openldap.org/devel/cvsweb.cgi/tests/scripts/test006-acls?hideattic=1&sortbydate=0

Comment 1 Josh Bressers 2007-09-05 20:39:43 UTC
This flaw has been rated as having a low severity by the Red Hat Security
Response Team.  More information about this rating can be
found here: http://www.redhat.com/security/updates/classification/

The risks associated with fixing this bug are greater than the low severity
security risk. We therefore currently have no plans to fix this flaw in Red Hat
Enterprise Linux 2.1 which is in maintenance mode.

If you believe this judgement to be in error, please reopen this bug with an
appropriate comment.


Note You need to log in before you can comment on or make changes to this bug.